import {
  __name
} from "./chunk-INDHDMU3.mjs";

// src/container.tsx
import { createVNode as _createVNode, isVNode as _isVNode, mergeProps as _mergeProps } from "vue";
import { defineComponent, computed } from "vue";
import { chakra, useStyleConfig } from "@chakra-ui/vue-system";
import { filterUndefined } from "@chakra-ui/utils";
import { vueThemingProps } from "@chakra-ui/vue-utils";
function _isSlot(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !_isVNode(s);
}
__name(_isSlot, "_isSlot");
var CContainer = defineComponent({
  name: "CContainer",
  props: {
    as: {
      type: [Object, String],
      default: "div"
    },
    centerContent: {
      type: [Boolean]
    },
    ...vueThemingProps
  },
  setup(props, {
    slots,
    attrs
  }) {
    const themingProps = computed(() => filterUndefined({
      colorScheme: props.colorScheme,
      variant: props.variant,
      size: props.size,
      styleConfig: props.styleConfig
    }));
    const styles = useStyleConfig("Container", themingProps);
    return () => _createVNode(chakra.div, _mergeProps({
      "__label": "container",
      "__css": {
        ...styles.value,
        ...props.centerContent && {
          display: "flex",
          flexDirection: "column",
          alignItems: "center"
        }
      }
    }, attrs), _isSlot(slots) ? slots : {
      default: () => [slots]
    });
  }
});

export {
  CContainer
};
